#include <stdio.h>
#include "mcc.h"


//-----------------------------------------------------
int CPackTable::Create(CWindow *pParent, int nRows, int nCols, BOOL bHomogen, BOOL show)
{
  m_pParent = pParent;
  m_pWindow = gtk_table_new(nRows,nCols,bHomogen);
  if (!m_pWindow) return -1;
  if (m_pParent) gtk_container_add(GTK_CONTAINER(m_pParent->m_pWindow),m_pWindow);
  if(show)Show();  
  return 0;
}

int CPackTable::Create(CPackBox *pParent, int nRows, int nCols, BOOL bHomogen, int nSpace, BOOL bExpand, BOOL bFill, int nPadding, BOOL show)
{
  m_pParent = pParent;
  m_pWindow = gtk_table_new(nRows,nCols,bHomogen);
  if (!m_pWindow) return -1;
  if (m_pParent) gtk_box_pack_start(GTK_BOX(m_pParent->m_pWindow),m_pWindow,bExpand,bFill,nPadding);
  if(show)Show();  
  return 0;
}

int CPackTable::CreateFromEnd(CPackBox *pParent, int nRows, int nCols, BOOL bHomogen, int nSpace, BOOL bExpand, BOOL bFill, int nPadding, BOOL show)
{
  m_pParent = pParent;
  m_pWindow = gtk_table_new(nRows,nCols,bHomogen);
  if (!m_pWindow) return -1;
  if (m_pParent) gtk_box_pack_end(GTK_BOX(m_pParent->m_pWindow),m_pWindow,bExpand,bFill,nPadding);
  if(show)Show();  
  return 0;
}
