#include <stdio.h>
#include "mcc.h"

//-----------------------------------------------------
int CPackBox::Create(CWindow *pParent, BOOL bVertikal, BOOL bHomogen, int nSpace, BOOL show)
{
  m_pParent = pParent;

  if (bVertikal)
  {
    m_pWindow = gtk_vbox_new(bHomogen,nSpace);
  }
  else
  {
    m_pWindow = gtk_hbox_new(bHomogen,nSpace);
  }
  if (!m_pWindow) return -1;
  if (m_pParent) gtk_container_add(GTK_CONTAINER(m_pParent->m_pWindow),m_pWindow);
  if(show)Show();  
  return 0;
}

int CPackBox::Create(CPackBox *pParent,BOOL bVertikal, BOOL bHomogen, int nSpace, BOOL bExpand, BOOL bFill, int nPadding, BOOL show)
{
  m_pParent = pParent;

  if (bVertikal)
  {
    m_pWindow = gtk_vbox_new(bHomogen,nSpace);
  }
  else
  {
    m_pWindow = gtk_hbox_new(bHomogen,nSpace);
  }
  if (!m_pWindow) return -1;
  if (m_pParent) gtk_box_pack_start(GTK_BOX(m_pParent->m_pWindow),m_pWindow,bExpand,bFill,nPadding);
  if(show)Show();  
  return 0;
}

int CPackBox::CreateFromEnd(CPackBox *pParent,BOOL bVertikal, BOOL bHomogen, int nSpace, BOOL bExpand, BOOL bFill, int nPadding, BOOL show)
{
  m_pParent = pParent;

  if (bVertikal)
  {
    m_pWindow = gtk_vbox_new(bHomogen,nSpace);
  }
  else
  {
    m_pWindow = gtk_hbox_new(bHomogen,nSpace);
  }
  if (!m_pWindow) return -1;
  if (m_pParent) gtk_box_pack_end(GTK_BOX(m_pParent->m_pWindow),m_pWindow,bExpand,bFill,nPadding);
  if(show)Show();  
  return 0;
}
