#include <stdio.h>
#include "mcc.h"

//------------   CALLBACK - Funktionen ----------------
BOOL DestroyAppRegistriert = FALSE;

gint CS_Quit(GtkWidget *wi, GdkEvent *event, gpointer klasse)
{
  //TRACE("CS_Quit %p %p\n",wi,klasse);
  CSignal *sig = (CSignal *)klasse;
  sig->Quit();
  return 1;
}

gint CS_Destroy(GtkWidget *wi, GdkEvent *event, gpointer klasse)
{
  //TRACE("CS_Destroy %p %p\n",wi,klasse);
  CSignal *sig = (CSignal *)klasse;
  sig->DestroyEvent();
  return 1;
}

gint CS_ButtonClick(GtkWidget *wi, gpointer klasse)
{
  //TRACE("CS_ButtonClick %p %p\n",wi,klasse);
  CSignal *sig = (CSignal *)klasse;
  sig->Click();
  return 1;
}

gint CS_SelectionChanged(GtkWidget *wi, gpointer klasse)
{
  //TRACE("CS_SelectionChanged %p %p\n",wi,klasse);
  CSignal *sig = (CSignal *)klasse;
  sig->SelectionChanged();
  return 1;
}

gint CS_ButtonEnter(GtkWidget *wi, gpointer klasse)
{
  //TRACE("CS_ButtonEnter\n");
  CSignal *sig = (CSignal *)klasse;
  sig->Enter();
  return 1;
}

gint CS_ButtonLeave(GtkWidget *wi, gpointer klasse)
{
  //TRACE("CS_ButtonLeave\n");
  CSignal *sig = (CSignal *)klasse;
  sig->Leave();
  return 1;
}

gint CS_ButtonPressed(GtkWidget *wi, gpointer klasse)
{
  //TRACE("CS_ButtonPressed\n");
  CSignal *sig = (CSignal *)klasse;
  sig->Press();
  return 1;  
}

gint CS_ButtonPressed2(GtkWidget *wi, GdkEvent *event, gpointer klasse)
{
  //TRACE("CS_ButtonPressed2\n");
  CSignal *sig = (CSignal *)klasse;
  sig->Press();
  return 1;  
}

gint CS_ButtonReleased(GtkWidget *wi, gpointer klasse)
{
  //TRACE("CS_ButtonRelease\n");
  CSignal *sig = (CSignal *)klasse;
  sig->Release();
  return 1;
}

gint CS_ButtonReleased2(GtkWidget *wi, GdkEvent *event, gpointer klasse)
{
  //TRACE("CS_ButtonRelease2\n");
  CSignal *sig = (CSignal *)klasse;
  sig->Release();
  return 1;
}

gint CS_ButtonToggled(GtkWidget *wi, gpointer klasse)
{
  //TRACE("CS_ButtonToggled\n");
  CSignal *sig = (CSignal *)klasse;
  sig->Toggle();
  return 1;
}

gint CS_EntryChanged(GtkWidget *wi, gpointer klasse)
{
  //TRACE("CS_EntryChanged\n");
  CSignal *sig = (CSignal *)klasse;
  sig->Change();
  return 1;
}


//-----------------------------------------------------

BOOL CSignal::m_DestroyAppRegistriert = FALSE;

void CSignal::Quit(void)
{
  //TRACE("CSignal::Quit()\n");
  //Destroy();
  gtk_main_quit();
}

void CSignal::DestroyEvent(void)
{
  //TRACE("CSignal::Quit()\n");
}

void CSignal::SelectionChanged(void)
{
  //TRACE("CSignal::SelectionChanged()\n");
}

void CSignal::Click(void)
{
  //TRACE("CSignal::Click()\n");
}

void CSignal::Leave(void)
{
  //TRACE("CSignal::Leave()\n");
}

void CSignal::Enter(void)
{
  //TRACE("CSignal::Enter()\n");
}

void CSignal::Press(void)
{
  //TRACE("CSignal::Press()\n");
}

void CSignal::Release(void)
{
  //TRACE("CSignal::Release()\n");
}

void CSignal::Toggle(void)
{
  //TRACE("CSignal::Toggle()\n");
}

void CSignal::Change(void)
{
  //TRACE("CSignal::Change()\n");
}

